##// END OF EJS Templates
packaging: moved some not required dependencies to pinned requirements file
marcink -
r3510:92260bb8 default
parent child
Show More
Add another comment
@@ -0,0 +1,11
1 # contains not directly required libraries we want to pin the version.
2
3 atomicwrites==1.2.1
4 attrs==18.2.0
5 billiard==3.5.0.3
6 gnureadline==6.3.8
7 jinja2==2.9.6
8 jsonschema==2.6.0
9 pathlib2==2.3.3
10 setproctitle==1.1.10
11
@@ -1,3 +1,3
1 [pip2nix]
1 [pip2nix]
2 requirements = ., -r ./requirements.txt
2 requirements = ., -r ./requirements.txt, -r ./requirements_pinned.txt
3 output = ./pkgs/python-packages.nix
3 output = ./pkgs/python-packages.nix
@@ -1701,8 +1701,6
1701 self."setuptools-scm"
1701 self."setuptools-scm"
1702 self."amqp"
1702 self."amqp"
1703 self."authomatic"
1703 self."authomatic"
1704 self."atomicwrites"
1705 self."attrs"
1706 self."babel"
1704 self."babel"
1707 self."beaker"
1705 self."beaker"
1708 self."bleach"
1706 self."bleach"
@@ -1722,12 +1720,9
1722 self."formencode"
1720 self."formencode"
1723 self."future"
1721 self."future"
1724 self."futures"
1722 self."futures"
1725 self."gnureadline"
1726 self."infrae.cache"
1723 self."infrae.cache"
1727 self."iso8601"
1724 self."iso8601"
1728 self."itsdangerous"
1725 self."itsdangerous"
1729 self."jinja2"
1730 self."billiard"
1731 self."kombu"
1726 self."kombu"
1732 self."lxml"
1727 self."lxml"
1733 self."mako"
1728 self."mako"
@@ -1739,7 +1734,6
1739 self."paste"
1734 self."paste"
1740 self."pastedeploy"
1735 self."pastedeploy"
1741 self."pastescript"
1736 self."pastescript"
1742 self."pathlib2"
1743 self."peppercorn"
1737 self."peppercorn"
1744 self."psutil"
1738 self."psutil"
1745 self."py-bcrypt"
1739 self."py-bcrypt"
@@ -1801,7 +1795,6
1801 self."greenlet"
1795 self."greenlet"
1802 self."gunicorn"
1796 self."gunicorn"
1803 self."waitress"
1797 self."waitress"
1804 self."setproctitle"
1805 self."ipdb"
1798 self."ipdb"
1806 self."ipython"
1799 self."ipython"
1807 self."rhodecode-tools"
1800 self."rhodecode-tools"
@@ -4,8 +4,7
4 amqp==2.3.1
4 amqp==2.3.1
5 # not released authomatic that has updated some oauth providers
5 # not released authomatic that has updated some oauth providers
6 https://code.rhodecode.com/upstream/authomatic/archive/90a9ce60cc405ae8a2bf5c3713acd5d78579a04e.tar.gz?md5=3c68720a1322b25254009518d1ff6801#egg=authomatic==0.1.0.post1
6 https://code.rhodecode.com/upstream/authomatic/archive/90a9ce60cc405ae8a2bf5c3713acd5d78579a04e.tar.gz?md5=3c68720a1322b25254009518d1ff6801#egg=authomatic==0.1.0.post1
7 atomicwrites==1.2.1
7
8 attrs==18.2.0
9 babel==1.3
8 babel==1.3
10 beaker==1.9.1
9 beaker==1.9.1
11 bleach==3.0.2
10 bleach==3.0.2
@@ -26,12 +25,9
26 formencode==1.2.4
25 formencode==1.2.4
27 future==0.14.3
26 future==0.14.3
28 futures==3.0.2
27 futures==3.0.2
29 gnureadline==6.3.8
30 infrae.cache==1.0.1
28 infrae.cache==1.0.1
31 iso8601==0.1.12
29 iso8601==0.1.12
32 itsdangerous==0.24
30 itsdangerous==0.24
33 jinja2==2.9.6
34 billiard==3.5.0.3
35 kombu==4.2.1
31 kombu==4.2.1
36 lxml==4.2.5
32 lxml==4.2.5
37 mako==1.0.7
33 mako==1.0.7
@@ -43,7 +39,6
43 paste==3.0.5
39 paste==3.0.5
44 pastedeploy==2.0.1
40 pastedeploy==2.0.1
45 pastescript==3.0.0
41 pastescript==3.0.0
46 pathlib2==2.3.3
47 peppercorn==0.6
42 peppercorn==0.6
48 psutil==5.4.8
43 psutil==5.4.8
49 py-bcrypt==0.4
44 py-bcrypt==0.4
@@ -115,7 +110,6
115 greenlet==0.4.15
110 greenlet==0.4.15
116 gunicorn==19.9.0
111 gunicorn==19.9.0
117 waitress==1.1.0
112 waitress==1.1.0
118 setproctitle==1.1.10
119
113
120 ## debug
114 ## debug
121 ipdb==0.11.0
115 ipdb==0.11.0
General Comments 0
You need to be logged in to leave comments. Login now